default['zabbix']['release'] = '0'
error = ''
case node['platform']
when 'centos'
  if node['platform_version'].to_f >= 7.0
    node.default['zabbix']['release'] = 7
  elsif node['platform_version'].to_f >= 6.0
    node.default['zabbix']['release'] = 6
  else
    error = 'Please use a supported OS version'
  end
when 'debian'
  if node['platform_version'].to_f >= 8.0
    node.default['zabbix']['release'] = 'jessie'
  elsif node['platform_version'].to_f >= 7.0
    node.default['zabbix']['release'] = 'wheezy'
  else
    error = 'Please use a supported OS version'
  end
when 'ubuntu'
  if node['platform_version'].to_f >= 16.0
    node.default['zabbix']['release'] = 'xenial'
  elsif node['platform_version'].to_f >= 14.0
    node.default['zabbix']['release'] = 'trusty'
  else
    error = 'Please use a supported OS version'
  end
end

raise error unless error.empty?

default['zabbix']['repo']['version'] = '3.2'
default['zabbix']['server']['version'] = '3.2.0'
