# Attributes for rhel zabbix repo
default['yum']['zabbix']['release'] = "1.el#{node['zabbix']['release']}"
default['yum']['zabbix']['repo_url'] = "http://repo.zabbix.com/zabbix/#{node['zabbix']['repo']['version']}/rhel/#{node['zabbix']['release']}/$basearch/"
default['yum']['zabbix']['mirror_url'] = nil
default['yum']['zabbix']['key_url'] = 'http://repo.zabbix.com/RPM-GPG-KEY-ZABBIX'
default['yum']['zabbix']['gpgcheck'] = false

# Attributes for debian zabbix repo
default['apt']['zabbix']['release'] = "1+#{node['zabbix']['release']}"
default['apt']['deb']['zabbix']['uri'] = "http://repo.zabbix.com/zabbix/#{node['zabbix']['repo']['version']}/debian/"
default['apt']['deb']['key'] = 'E709712C'

# Attributes for ubuntu zabbix repo
default['apt']['zabbix']['release'] = "1+#{node['zabbix']['release']}"
default['apt']['ubuntu']['zabbix']['uri'] = "http://repo.zabbix.com/zabbix/#{node['zabbix']['repo']['version']}/ubuntu/"
default['apt']['ubuntu']['key'] = 'E709712C'
