#
# Cookbook Name:: zabbix_agent
# Recipe:: default
#
# Copyright 2016
#
# All rights reserved - Do Not Redistribute
#
# Attribute checks
attributes = %w(Server ServerActive)
attributes.each do |attrib|
  raise "Please set node['zabbix']['agent']['conf'][#{attrib}]" if node['zabbix']['agent']['conf'][attrib].nil?
end

# Recipes
case node['platform']
when 'centos'
  include_recipe 'zabbix_agent::_rhel'
when 'debian'
  include_recipe 'zabbix_agent::_deb'
when 'ubuntu'
  include_recipe 'zabbix_agent::_ubuntu'
else
  raise "This cookbook does not currently support #{node['platform']}."
end
